
Redmine - Defect #4046

Copy project doesn't honor entry in "Subproject of"-field

2009-10-17 16:44 - Thomas Pihl

Status: Closed Start date: 2009-10-17

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

I would expect there is a line missing in app/controllers/projects_controller.rb in method copy inside the if @project.copy(params[:id])

@project.set_parent!(params[:project]['parent_id']) if params[:project].has_key?('parent_id')

 I am sorry for not creating patch file, but i seem to have some trouble with linefeeds.

Related issues:

Is duplicate of Redmine - Defect #3386: When a project is copied the sub-proj... Closed 2009-05-18

History

#1 - 2009-10-18 06:37 - Eric Davis

- Status changed from New to 7

- Assignee set to Eric Davis

#2 - 2009-10-24 13:19 - Jean-Philippe Lang

- Status changed from 7 to Closed

- Resolution set to Duplicate
